Loading...
Searching...
No Matches
plugins_notification.h File Reference

API for notification plugins. More...

`#include <stdint.h>`
`#include <sys/types.h>`
`#include <libyang/libyang.h>`
`#include "sysrepo_types.h"`
Include dependency graph for plugins_notification.h:

Go to the source code of this file.

## Data Structures

struct | srplg_ntf_s
| Notification plugin structure. More...

## Macros

#define | SRPLG_NOTIFICATION
| Macro to define datastore plugin information in external plugins.
#define | SRPLG_NTF_API_VERSION 4
| Notification plugin API version.

## Typedefs

typedef sr_error_info_t *(* | srntf_access_check) (const struct lys_module *mod, int *read, int *write)
| Check whether the current user has the required access to notification data.
typedef sr_error_info_t *(* | srntf_access_get) (const struct lys_module *mod, char **owner, char **group, mode_t *perm)
| Get access permissions for notification data of a module.
typedef sr_error_info_t *(* | srntf_access_set) (const struct lys_module *mod, const char *owner, const char *group, mode_t perm)
| Set access permissions for notification data of a module.
typedef void(* | srntf_destroy) (const struct lys_module *mod)
| Destroy (delete) all stored notifications of a module.
typedef sr_error_info_t *(* | srntf_disable) (const struct lys_module *mod)
| Destroy notification storage of a specific module.
typedef sr_error_info_t *(* | srntf_earliest_get) (const struct lys_module *mod, struct timespec *ts)
| Get the timestamp of the earliest stored notification of the module.
typedef sr_error_info_t *(* | srntf_enable) (const struct lys_module *mod)
| Initialize notification storage for a specific module.
typedef sr_error_info_t *(* | srntf_replay_next) (const struct lys_module *mod, const struct timespec *start, const struct timespec *stop, struct lyd_node **notif, struct timespec *notif_ts, void *state)
| Replay the next notification of a module.
typedef sr_error_info_t *(* | srntf_store) (const struct lys_module *mod, const struct lyd_node *notif, const struct timespec *notif_ts)
| Store a notification for replay.

## Detailed Description

API for notification plugins.

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright
  Copyright (c) 2021 - 2025 Deutsche Telekom AG. Copyright (c) 2021 - 2025 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file plugins_notification.h.